PatternTypingFilter.PatternTypingRule (Lucene 10.5.0 common API)
Description: declaration: package: org.apache.lucene.analysis.pattern, class: PatternTypingFilter, record: PatternTypingRule

Package org.apache.lucene.analysis.pattern

# Record Class PatternTypingFilter.PatternTypingRule

java.lang.Object
java.lang.Record
org.apache.lucene.analysis.pattern.PatternTypingFilter.PatternTypingRule

Enclosing class:
  `PatternTypingFilter`

public static record PatternTypingFilter.PatternTypingRule(Pattern pattern, int flags, String typeTemplate) extends Record
Value holding class for pattern typing rules.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PatternTypingRule(Pattern pattern, int flags, String typeTemplate)`
  Creates an instance of a `PatternTypingRule` record class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `int`
  `flags()`
  Returns the value of the `flags` record component.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `Pattern`
  `pattern()`
  Returns the value of the `pattern` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.
  `String`
  `typeTemplate()`
  Returns the value of the `typeTemplate` record component.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### PatternTypingRule

    public PatternTypingRule(Pattern pattern, int flags, String typeTemplate)
    Creates an instance of a `PatternTypingRule` record class.
    Parameters:
      `pattern` - the value for the `pattern` record component
      `flags` - the value for the `flags` record component
      `typeTemplate` - the value for the `typeTemplate` record component

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. Reference components are compared with `Objects::equals(Object,Object)`; primitive components are compared with '=='.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### pattern

    public Pattern pattern()
    Returns the value of the `pattern` record component.
    Returns:
      the value of the `pattern` record component

  - ### flags

    public int flags()
    Returns the value of the `flags` record component.
    Returns:
      the value of the `flags` record component

  - ### typeTemplate

    public String typeTemplate()
    Returns the value of the `typeTemplate` record component.
    Returns:
      the value of the `typeTemplate` record component